ValidationException (Java SE 9 & JDK 9 )
Keywords: javax.xml.bind.ValidationException class

Module java.xml.bind
Package javax.xml.bind

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.ValidationException

- All Implemented Interfaces:
    `Serializable`

      public class ValidationException
      extends JAXBException

  This exception indicates that an error has occurred while performing a validate operation.

  The `ValidationEventHandler` can cause this exception to be thrown during the validate operations. See `ValidationEventHandler.handleEvent(ValidationEvent)`.

  Since:
    1.6, JAXB 1.0
  See Also:
    `JAXBException`, `Validator`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationException​(String message)` | Construct an ValidationException with the specified detail message.
    `ValidationException​(String message, String errorCode)` | Construct an ValidationException with the specified detail message and vendor specific errorCode.
    `ValidationException​(String message, String errorCode, Throwable exception)` | Construct an ValidationException with the specified detail message, vendor specific errorCode, and linkedException.
    `ValidationException​(String message, Throwable exception)` | Construct an ValidationException with the specified detail message and linkedException.
    `ValidationException​(Throwable exception)` | Construct an ValidationException with a linkedException.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.JAXBException

      `getCause, getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException​(String message)

      Construct an ValidationException with the specified detail message. The errorCode and linkedException will default to null.
      Parameters:
        `message` - a description of the exception

    - #### ValidationException

          public ValidationException​(String message,
                                     String errorCode)

      Construct an ValidationException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code

    - #### ValidationException

          public ValidationException​(Throwable exception)

      Construct an ValidationException with a linkedException. The detail message and vendor specific errorCode will default to null.
      Parameters:
        `exception` - the linked exception

    - #### ValidationException

          public ValidationException​(String message,
                                     Throwable exception)

      Construct an ValidationException with the specified detail message and linkedException. The errorCode will default to null.
      Parameters:
        `message` - a description of the exception
        `exception` - the linked exception

    - #### ValidationException

          public ValidationException​(String message,
                                     String errorCode,
                                     Throwable exception)

      Construct an ValidationException with the specified detail message, vendor specific errorCode, and linkedException.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code
        `exception` - the linked exception